Subject: bug#33656: Hard locks on boot (uefi system) via usb

From: Ryan Bach <[email-masked]>
Date: Thu, 6 Dec 2018 21:51:20 -0800

I used sudo dd if=guixsd-install-0.16.0.x86_64-linux.iso of=/dev/sdb to
make the usb work in uefi mode

Here are my specs: (from my machine current distro):

inxi -Fx
System:
  Host: linux-6d12 Kernel: 4.19.5-1-default x86_64 bits: 64 compiler: gcc
  v: 8.2.1 Desktop: Gnome 3.30.2 Distro: openSUSE Tumbleweed 20181204
Machine:
  Type: Desktop Mobo: ASUSTeK model: M5A99X EVO R2.0 v: Rev 1.xx
  serial: <root required> UEFI: American Megatrends v: 2501 date:
04/03/2014
CPU:
  Topology: 8-Core model: AMD FX-8320 bits: 64 type: MCP arch: Bulldozer
  L2 cache: 2048 KiB
  flags: lm nx pae sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 svm
  bogomips: 56192
  Speed: 1404 MHz min/max: 1400/3500 MHz Core speeds (MHz): 1: 1404 2: 1392
  3: 1403 4: 1404 5: 1404 6: 1395 7: 1403 8: 1401
Graphics:
  Device-1: AMD Ellesmere [Radeon RX 470/480/570/570X/580/580X/590]
  vendor: XFX Pine driver: amdgpu v: kernel bus ID: 01:00.0
  Display: wayland server: X.org 1.20.3 driver: amdgpu,ati
  unloaded: fbdev,modesetting,radeon,vesa resolution: <xdpyinfo missing>
  OpenGL: renderer: AMD Radeon RX 480 Graphics (POLARIS10 DRM 3.27.0
  4.19.5-1-default LLVM 6.0.1)
  v: 4.5 Mesa 18.1.7 direct render: Yes
Audio:
  Device-1: AMD SBx00 Azalia vendor: ASUSTeK driver: snd_hda_intel v:
kernel
  bus ID: 00:14.2
  Device-2: AMD Ellesmere [Radeon RX 580] vendor: XFX Pine
  driver: snd_hda_intel v: kernel bus ID: 01:00.1
  Device-3: Logitech G933 Wireless Headset Dongle type: USB
  driver: hid-generic,snd-usb-audio,usbhid bus ID: 5-2.4:5
  Sound Server: ALSA v: k4.19.5-1-default
Network:
  Device-1: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet
  vendor: ASUSTeK P8 series driver: r8169 v: kernel port: d000
  bus ID: 02:00.0
  IF: enp2s0 state: down mac: 40:16:7e:b4:46:7d
  Device-2: Realtek RTL8812AU 802.11a/b/g/n/ac 2T2R DB WLAN Adapter
  type: USB driver: rtl8812au bus ID: 5-1:2
  IF: wlp5s0u1 state: up mac: 04:8d:38:0f:e2:14
Drives:
  Local Storage: total: 525.28 GiB used: 28.47 GiB (5.4%)
  ID-1: /dev/sda vendor: Samsung model: SSD 850 EVO 500GB size: 465.76 GiB
  ID-2: /dev/sdb type: USB vendor: PNY model: USB 3.0 FD size: 59.52 GiB
Partition:
  ID-1: / size: 40.00 GiB used: 25.42 GiB (63.5%) fs: btrfs dev: /dev/sda2
  ID-2: /home size: 425.27 GiB used: 2.06 GiB (0.5%) fs: btrfs
  dev: /dev/sda3
  ID-3: /opt size: 40.00 GiB used: 25.42 GiB (63.5%) fs: btrfs
  dev: /dev/sda2
  ID-4: /tmp size: 40.00 GiB used: 25.42 GiB (63.5%) fs: btrfs
  dev: /dev/sda2
  ID-5: /var size: 40.00 GiB used: 25.42 GiB (63.5%) fs: btrfs
  dev: /dev/sda2
Sensors:
  System Temperatures: cpu: 25.0 C mobo: N/A gpu: amdgpu temp: 42 C
  Fan Speeds (RPM): cpu: 0 gpu: amdgpu fan: 752
Info:
  Processes: 315 Uptime: N/A Memory: 31.31 GiB used: 1.47 GiB (4.7%)
  Init: systemd runlevel: 5 Compilers: gcc: 8.2.1 Shell: bash v: 4.4.23
  inxi: 3.0.27

I currently can't use Ethernet (I am waiting on Amazon for cables), but
when they are installed is there a easy way to see why it isn't booting?